package com.ym.mec.auth.dal.dao;

import com.ym.mec.auth.api.entity.TenantInfo;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface TenantInfoDao extends BaseDAO<Integer, TenantInfo> {

    TenantInfo getOpenTenant(Integer tenantId);

    void updatePhone(@Param("newPhone") String newPhone, @Param("oldPhone")String oldPhone);
}